## org.apache.ivy.core
Class NormalRelativeUrlResolver

    java.lang.Object
      org.apache.ivy.core.RelativeUrlResolver
          org.apache.ivy.core.NormalRelativeUrlResolver

    public class NormalRelativeUrlResolver

extends RelativeUrlResolver

Normal implementation of RelativeUrlResolver.

Constructor Summary
`NormalRelativeUrlResolver()`

Method Summary
`java.net.URL` `getURL(java.net.URL context, java.lang.String url)` Resolve the url in the context of context.

Methods inherited from class org.apache.ivy.core.RelativeUrlResolver
`getURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalRelativeUrlResolver

    public NormalRelativeUrlResolver()

Method Detail

### getURL

    public java.net.URL getURL(java.net.URL context,
                               java.lang.String url)
                        throws java.net.MalformedURLException

  Description copied from class: `RelativeUrlResolver`
  Resolve the url in the context of context.

  Specified by:
    `getURL` in class `RelativeUrlResolver`
  Parameters:
    `context` - The URL of the ressource containing the reference url
    `url` - a relative or absolution url string
  Throws:
    `java.net.MalformedURLException`